View Issue Details

IDProjectCategoryView StatusLast Update
0007735Kali Linux[All Projects] Kali Package Bugpublic2022-06-06 08:42
ReporterDeliverance Assigned Tosbrun  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2022.2 
Target VersionFixed in Version2022.3 
Summary0007735: Powershell Empire unable to use CSharp stagers/modules since update to 4.6.0-kali-0kali1
DescriptionSince updating to 4.6.0-kali-0kali1, Empire on Kali appears to be unable to generate C# stagers or utilize C# modules.

csharp_exe stager generates a "Sharpire.exe" file that contains the only the text "[!] Error in launcher command generation". C# modules give a "module compile failed" message when attempting to execute them.

I engaged BC Security on their Discord and one of their staff claims this is an issue with the Kali package of Empire:
---
hubble — 05/30/2022
I just tested and the Kali version is broken. Looks like they broke the recursive install
---
Steps To Reproduce- Start powershell-empire server
- Connect with powershell-empire client
- usestager windows/csharp_exe
- execute
- The message "[+] Sharpire.exe written to /var/lib/powershell-empire/empire/client/generated-stagers/Sharpire.exe" is displayed, but this file is not a valid executable and contains the error message "[!] Error in launcher command generation"

Activities

sbrun

2022-06-06 08:42

manager   ~0016229

Thanks for the report.
It's fixed in version 4.6.0-kali+gitmodules-0kali1 now available in kali-rolling

Issue History

Date Modified Username Field Change
2022-06-02 01:37 Deliverance New Issue
2022-06-06 08:42 sbrun Assigned To => sbrun
2022-06-06 08:42 sbrun Status new => resolved
2022-06-06 08:42 sbrun Resolution open => fixed
2022-06-06 08:42 sbrun Fixed in Version => 2022.3
2022-06-06 08:42 sbrun Note Added: 0016229